<?php

namespace app\entity\data\merchant;

use app\entity\data\DataEntity;

class MerchantEntity extends DataEntity
{
    public $merId = null;  // 商户id
    public $uid = null;  // 关联用户
    public $spreadUid = null;  // 邀请用户id
    public $merchNo = null;  // 商户在SaaS平台的编号
    public $tradeType = null;  // 商户支持的交易类型
    public $categoryId = null;  // 商户分类 id
    public $merName = null;  // 商户名称
    public $realName = null;  // 商户姓名
    public $merPhone = null;  // 商户手机号
    public $haikeSettleStatus = null;  // 海科商户结算状态
    public $name = null;  // 联系人姓名
    public $merAddress = null;  // 商户地址
    public $merKeyword = null;  // 商户关键字
    public $merAvatar = null;  // 商户头像
    public $merBanner = null;  // 商户banner图片
    public $sales = null;  // 销量
    public $productScore = null;  // 商品描述评分
    public $serviceScore = null;  // 服务评分
    public $postageScore = null;  // 物流评分
    public $mark = null;  // 商户备注
    public $regAdminId = null;  // 总后台管理员ID
    public $sort = null;  // 排序
    public $status = null;  // 商户是否禁用
    public $commissionRate = null;  // 提成比例
    public $isDel = null;  // 是否删除
    public $isAudit = null;  // 产品是否审核
    public $isBroRoom = null;  // 是否审核直播间
    public $isBroGoods = null;  // 是否审核直播商品
    public $isBest = null;  // 是否推荐
    public $merState = null;  // 商户是否开启
    public $merInfo = null;  // 店铺简介
    public $servicePhone = null;  // 店铺电话
    public $createTime = null;  // 创建时间
    public $updateTime = null;  // 修改时间
    public $careCount = null;  // 关注总数
    public $copyProductNum = null;  // 剩余复制商品次数
    public $lat = null;  // 纬度
    public $lng = null;  // 经度
    public $doorhead = null;  // 门头照
    public $addr = null;  // 详细地址
    public $houseNumber = null;  // 门牌号
    public $businessLicense = null;  // 营业执照
    public $recommender = null;  // 推广员
    public $contentPic = null;  // 图片集
    public $cardPositivePerson = null;  // 法人身份证正面
    public $cardBackPerson = null;  // 法人身份证反面
    public $email = null;  // 邮箱
    public $bankAccount = null;  // 开户账号
    public $bankLocation = null;  // 开户所在地
    public $bankDeposit = null;  // 开户行
    public $bankBranch = null;  // 开户支行
    public $openAccount = null;  // 开户许可证
    public $logo = null;  // logo
    public $businessAddr = null;  // 营业执照地址
    public $districtAddr = null;  // 所属商圈
    public $type = null;  // 1企业2个体3个人
    public $provinceId = null;  // 省份地址id
    public $cityId = null;  // 城市地址id
    public $areaId = null;  // 区域地址id
    public $streetId = null;  // 街道地址id
    public $branch = null;  // 分店
    public $businessId = null;  // 客服应用id
    public $requestId = null;  // 请求ID
    public $renqizhi = null;  // 任期制
    public $withdrawalSetting = null;  // 海科结算方式
    public $haikeMp = null;  // 海科小程序收款
    public $memberNo = null;  // 拉卡拉会员号
    public $sxySubmerchantId = null;  // 首信易二级商户编号
    public $buyTime = null;  // 购买年费时间
    public $tzMoney = null;  // 通证金额
    public $tzIntegral = null;  // 通证积分
    public $hfStatus = null;  // 汇付审核状态
    public $hfMemberId = null;  // 汇付的用户ID
    public $hfMemberIdWx = null;  // 汇付的用户ID微信
    public $hfMsg = null;  // 汇付消息
    public $merchantType = null;  // 商户类型
    public $hfType = null;  // 汇付类型
    public $expireTime = null;  // 到期时间
    public $hfDimensionIdWx = null;  // 微信分账ID
    public $hfDimensionIdAl = null;  // 支付宝分账ID
    public $hfPingtaiIdAl = null;  // 平台分账ID支付宝
    public $hfPingtaiIdWx = null;  // 平台分账ID微信
    public $dcId = null;  // 大仓id
    public $consumptionScore = null;  // 消费分
    public $brokeragePrice = null;  // 商户佣金金额
    public $score = null;  // 消费分
    public $merchantLevel = null;  // 商户等级
    public $isExperience = null;  // 是否体验店
    public $merType = null;  // 商户类型
    public $merChain = null;  // 是否连锁店
    public $bzj = null;  // 是否已经缴纳了保证金
    public $goldenBeans = null;  // 金豆

    /**
     *@return mixed
     */
    public function getMerId()
    {
        return $this->merId;
    }

    /**
     *@param mixed $merId
     * @return MerchantEntity
     */
    public function setMerId($merId): MerchantEntity
    {
        $this->merId = $merId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     *@param mixed $uid
     * @return MerchantEntity
     */
    public function setUid($uid): MerchantEntity
    {
        $this->uid = $uid;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getSpreadUid()
    {
        return $this->spreadUid;
    }

    /**
     *@param mixed $spreadUid
     * @return MerchantEntity
     */
    public function setSpreadUid($spreadUid): MerchantEntity
    {
        $this->spreadUid = $spreadUid;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerchNo()
    {
        return $this->merchNo;
    }

    /**
     *@param mixed $merchNo
     * @return MerchantEntity
     */
    public function setMerchNo($merchNo): MerchantEntity
    {
        $this->merchNo = $merchNo;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getTradeType()
    {
        return $this->tradeType;
    }

    /**
     *@param mixed $tradeType
     * @return MerchantEntity
     */
    public function setTradeType($tradeType): MerchantEntity
    {
        $this->tradeType = $tradeType;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     *@param mixed $categoryId
     * @return MerchantEntity
     */
    public function setCategoryId($categoryId): MerchantEntity
    {
        $this->categoryId = $categoryId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerName()
    {
        return $this->merName;
    }

    /**
     *@param mixed $merName
     * @return MerchantEntity
     */
    public function setMerName($merName): MerchantEntity
    {
        $this->merName = $merName;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getRealName()
    {
        return $this->realName;
    }

    /**
     *@param mixed $realName
     * @return MerchantEntity
     */
    public function setRealName($realName): MerchantEntity
    {
        $this->realName = $realName;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerPhone()
    {
        return $this->merPhone;
    }

    /**
     *@param mixed $merPhone
     * @return MerchantEntity
     */
    public function setMerPhone($merPhone): MerchantEntity
    {
        $this->merPhone = $merPhone;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHaikeSettleStatus()
    {
        return $this->haikeSettleStatus;
    }

    /**
     *@param mixed $haikeSettleStatus
     * @return MerchantEntity
     */
    public function setHaikeSettleStatus($haikeSettleStatus): MerchantEntity
    {
        $this->haikeSettleStatus = $haikeSettleStatus;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     *@param mixed $name
     * @return MerchantEntity
     */
    public function setName($name): MerchantEntity
    {
        $this->name = $name;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerAddress()
    {
        return $this->merAddress;
    }

    /**
     *@param mixed $merAddress
     * @return MerchantEntity
     */
    public function setMerAddress($merAddress): MerchantEntity
    {
        $this->merAddress = $merAddress;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerKeyword()
    {
        return $this->merKeyword;
    }

    /**
     *@param mixed $merKeyword
     * @return MerchantEntity
     */
    public function setMerKeyword($merKeyword): MerchantEntity
    {
        $this->merKeyword = $merKeyword;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerAvatar()
    {
        return $this->merAvatar;
    }

    /**
     *@param mixed $merAvatar
     * @return MerchantEntity
     */
    public function setMerAvatar($merAvatar): MerchantEntity
    {
        $this->merAvatar = $merAvatar;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerBanner()
    {
        return $this->merBanner;
    }

    /**
     *@param mixed $merBanner
     * @return MerchantEntity
     */
    public function setMerBanner($merBanner): MerchantEntity
    {
        $this->merBanner = $merBanner;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getSales()
    {
        return $this->sales;
    }

    /**
     *@param mixed $sales
     * @return MerchantEntity
     */
    public function setSales($sales): MerchantEntity
    {
        $this->sales = $sales;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getProductScore()
    {
        return $this->productScore;
    }

    /**
     *@param mixed $productScore
     * @return MerchantEntity
     */
    public function setProductScore($productScore): MerchantEntity
    {
        $this->productScore = $productScore;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getServiceScore()
    {
        return $this->serviceScore;
    }

    /**
     *@param mixed $serviceScore
     * @return MerchantEntity
     */
    public function setServiceScore($serviceScore): MerchantEntity
    {
        $this->serviceScore = $serviceScore;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getPostageScore()
    {
        return $this->postageScore;
    }

    /**
     *@param mixed $postageScore
     * @return MerchantEntity
     */
    public function setPostageScore($postageScore): MerchantEntity
    {
        $this->postageScore = $postageScore;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMark()
    {
        return $this->mark;
    }

    /**
     *@param mixed $mark
     * @return MerchantEntity
     */
    public function setMark($mark): MerchantEntity
    {
        $this->mark = $mark;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getRegAdminId()
    {
        return $this->regAdminId;
    }

    /**
     *@param mixed $regAdminId
     * @return MerchantEntity
     */
    public function setRegAdminId($regAdminId): MerchantEntity
    {
        $this->regAdminId = $regAdminId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getSort()
    {
        return $this->sort;
    }

    /**
     *@param mixed $sort
     * @return MerchantEntity
     */
    public function setSort($sort): MerchantEntity
    {
        $this->sort = $sort;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     *@param mixed $status
     * @return MerchantEntity
     */
    public function setStatus($status): MerchantEntity
    {
        $this->status = $status;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCommissionRate()
    {
        return $this->commissionRate;
    }

    /**
     *@param mixed $commissionRate
     * @return MerchantEntity
     */
    public function setCommissionRate($commissionRate): MerchantEntity
    {
        $this->commissionRate = $commissionRate;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsDel()
    {
        return $this->isDel;
    }

    /**
     *@param mixed $isDel
     * @return MerchantEntity
     */
    public function setIsDel($isDel): MerchantEntity
    {
        $this->isDel = $isDel;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsAudit()
    {
        return $this->isAudit;
    }

    /**
     *@param mixed $isAudit
     * @return MerchantEntity
     */
    public function setIsAudit($isAudit): MerchantEntity
    {
        $this->isAudit = $isAudit;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsBroRoom()
    {
        return $this->isBroRoom;
    }

    /**
     *@param mixed $isBroRoom
     * @return MerchantEntity
     */
    public function setIsBroRoom($isBroRoom): MerchantEntity
    {
        $this->isBroRoom = $isBroRoom;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsBroGoods()
    {
        return $this->isBroGoods;
    }

    /**
     *@param mixed $isBroGoods
     * @return MerchantEntity
     */
    public function setIsBroGoods($isBroGoods): MerchantEntity
    {
        $this->isBroGoods = $isBroGoods;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsBest()
    {
        return $this->isBest;
    }

    /**
     *@param mixed $isBest
     * @return MerchantEntity
     */
    public function setIsBest($isBest): MerchantEntity
    {
        $this->isBest = $isBest;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerState()
    {
        return $this->merState;
    }

    /**
     *@param mixed $merState
     * @return MerchantEntity
     */
    public function setMerState($merState): MerchantEntity
    {
        $this->merState = $merState;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerInfo()
    {
        return $this->merInfo;
    }

    /**
     *@param mixed $merInfo
     * @return MerchantEntity
     */
    public function setMerInfo($merInfo): MerchantEntity
    {
        $this->merInfo = $merInfo;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getServicePhone()
    {
        return $this->servicePhone;
    }

    /**
     *@param mixed $servicePhone
     * @return MerchantEntity
     */
    public function setServicePhone($servicePhone): MerchantEntity
    {
        $this->servicePhone = $servicePhone;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }

    /**
     *@param mixed $createTime
     * @return MerchantEntity
     */
    public function setCreateTime($createTime): MerchantEntity
    {
        $this->createTime = $createTime;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getUpdateTime()
    {
        return $this->updateTime;
    }

    /**
     *@param mixed $updateTime
     * @return MerchantEntity
     */
    public function setUpdateTime($updateTime): MerchantEntity
    {
        $this->updateTime = $updateTime;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCareCount()
    {
        return $this->careCount;
    }

    /**
     *@param mixed $careCount
     * @return MerchantEntity
     */
    public function setCareCount($careCount): MerchantEntity
    {
        $this->careCount = $careCount;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCopyProductNum()
    {
        return $this->copyProductNum;
    }

    /**
     *@param mixed $copyProductNum
     * @return MerchantEntity
     */
    public function setCopyProductNum($copyProductNum): MerchantEntity
    {
        $this->copyProductNum = $copyProductNum;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getLat()
    {
        return $this->lat;
    }

    /**
     *@param mixed $lat
     * @return MerchantEntity
     */
    public function setLat($lat): MerchantEntity
    {
        $this->lat = $lat;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getLng()
    {
        return $this->lng;
    }

    /**
     *@param mixed $lng
     * @return MerchantEntity
     */
    public function setLng($lng): MerchantEntity
    {
        $this->lng = $lng;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getDoorhead()
    {
        return $this->doorhead;
    }

    /**
     *@param mixed $doorhead
     * @return MerchantEntity
     */
    public function setDoorhead($doorhead): MerchantEntity
    {
        $this->doorhead = $doorhead;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getAddr()
    {
        return $this->addr;
    }

    /**
     *@param mixed $addr
     * @return MerchantEntity
     */
    public function setAddr($addr): MerchantEntity
    {
        $this->addr = $addr;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHouseNumber()
    {
        return $this->houseNumber;
    }

    /**
     *@param mixed $houseNumber
     * @return MerchantEntity
     */
    public function setHouseNumber($houseNumber): MerchantEntity
    {
        $this->houseNumber = $houseNumber;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBusinessLicense()
    {
        return $this->businessLicense;
    }

    /**
     *@param mixed $businessLicense
     * @return MerchantEntity
     */
    public function setBusinessLicense($businessLicense): MerchantEntity
    {
        $this->businessLicense = $businessLicense;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getRecommender()
    {
        return $this->recommender;
    }

    /**
     *@param mixed $recommender
     * @return MerchantEntity
     */
    public function setRecommender($recommender): MerchantEntity
    {
        $this->recommender = $recommender;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getContentPic()
    {
        return $this->contentPic;
    }

    /**
     *@param mixed $contentPic
     * @return MerchantEntity
     */
    public function setContentPic($contentPic): MerchantEntity
    {
        $this->contentPic = $contentPic;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCardPositivePerson()
    {
        return $this->cardPositivePerson;
    }

    /**
     *@param mixed $cardPositivePerson
     * @return MerchantEntity
     */
    public function setCardPositivePerson($cardPositivePerson): MerchantEntity
    {
        $this->cardPositivePerson = $cardPositivePerson;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCardBackPerson()
    {
        return $this->cardBackPerson;
    }

    /**
     *@param mixed $cardBackPerson
     * @return MerchantEntity
     */
    public function setCardBackPerson($cardBackPerson): MerchantEntity
    {
        $this->cardBackPerson = $cardBackPerson;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     *@param mixed $email
     * @return MerchantEntity
     */
    public function setEmail($email): MerchantEntity
    {
        $this->email = $email;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBankAccount()
    {
        return $this->bankAccount;
    }

    /**
     *@param mixed $bankAccount
     * @return MerchantEntity
     */
    public function setBankAccount($bankAccount): MerchantEntity
    {
        $this->bankAccount = $bankAccount;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBankLocation()
    {
        return $this->bankLocation;
    }

    /**
     *@param mixed $bankLocation
     * @return MerchantEntity
     */
    public function setBankLocation($bankLocation): MerchantEntity
    {
        $this->bankLocation = $bankLocation;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBankDeposit()
    {
        return $this->bankDeposit;
    }

    /**
     *@param mixed $bankDeposit
     * @return MerchantEntity
     */
    public function setBankDeposit($bankDeposit): MerchantEntity
    {
        $this->bankDeposit = $bankDeposit;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBankBranch()
    {
        return $this->bankBranch;
    }

    /**
     *@param mixed $bankBranch
     * @return MerchantEntity
     */
    public function setBankBranch($bankBranch): MerchantEntity
    {
        $this->bankBranch = $bankBranch;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getOpenAccount()
    {
        return $this->openAccount;
    }

    /**
     *@param mixed $openAccount
     * @return MerchantEntity
     */
    public function setOpenAccount($openAccount): MerchantEntity
    {
        $this->openAccount = $openAccount;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     *@param mixed $logo
     * @return MerchantEntity
     */
    public function setLogo($logo): MerchantEntity
    {
        $this->logo = $logo;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBusinessAddr()
    {
        return $this->businessAddr;
    }

    /**
     *@param mixed $businessAddr
     * @return MerchantEntity
     */
    public function setBusinessAddr($businessAddr): MerchantEntity
    {
        $this->businessAddr = $businessAddr;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getDistrictAddr()
    {
        return $this->districtAddr;
    }

    /**
     *@param mixed $districtAddr
     * @return MerchantEntity
     */
    public function setDistrictAddr($districtAddr): MerchantEntity
    {
        $this->districtAddr = $districtAddr;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     *@param mixed $type
     * @return MerchantEntity
     */
    public function setType($type): MerchantEntity
    {
        $this->type = $type;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getProvinceId()
    {
        return $this->provinceId;
    }

    /**
     *@param mixed $provinceId
     * @return MerchantEntity
     */
    public function setProvinceId($provinceId): MerchantEntity
    {
        $this->provinceId = $provinceId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getCityId()
    {
        return $this->cityId;
    }

    /**
     *@param mixed $cityId
     * @return MerchantEntity
     */
    public function setCityId($cityId): MerchantEntity
    {
        $this->cityId = $cityId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getAreaId()
    {
        return $this->areaId;
    }

    /**
     *@param mixed $areaId
     * @return MerchantEntity
     */
    public function setAreaId($areaId): MerchantEntity
    {
        $this->areaId = $areaId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getStreetId()
    {
        return $this->streetId;
    }

    /**
     *@param mixed $streetId
     * @return MerchantEntity
     */
    public function setStreetId($streetId): MerchantEntity
    {
        $this->streetId = $streetId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBranch()
    {
        return $this->branch;
    }

    /**
     *@param mixed $branch
     * @return MerchantEntity
     */
    public function setBranch($branch): MerchantEntity
    {
        $this->branch = $branch;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBusinessId()
    {
        return $this->businessId;
    }

    /**
     *@param mixed $businessId
     * @return MerchantEntity
     */
    public function setBusinessId($businessId): MerchantEntity
    {
        $this->businessId = $businessId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getRequestId()
    {
        return $this->requestId;
    }

    /**
     *@param mixed $requestId
     * @return MerchantEntity
     */
    public function setRequestId($requestId): MerchantEntity
    {
        $this->requestId = $requestId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getRenqizhi()
    {
        return $this->renqizhi;
    }

    /**
     *@param mixed $renqizhi
     * @return MerchantEntity
     */
    public function setRenqizhi($renqizhi): MerchantEntity
    {
        $this->renqizhi = $renqizhi;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getWithdrawalSetting()
    {
        return $this->withdrawalSetting;
    }

    /**
     *@param mixed $withdrawalSetting
     * @return MerchantEntity
     */
    public function setWithdrawalSetting($withdrawalSetting): MerchantEntity
    {
        $this->withdrawalSetting = $withdrawalSetting;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHaikeMp()
    {
        return $this->haikeMp;
    }

    /**
     *@param mixed $haikeMp
     * @return MerchantEntity
     */
    public function setHaikeMp($haikeMp): MerchantEntity
    {
        $this->haikeMp = $haikeMp;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMemberNo()
    {
        return $this->memberNo;
    }

    /**
     *@param mixed $memberNo
     * @return MerchantEntity
     */
    public function setMemberNo($memberNo): MerchantEntity
    {
        $this->memberNo = $memberNo;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getSxySubmerchantId()
    {
        return $this->sxySubmerchantId;
    }

    /**
     *@param mixed $sxySubmerchantId
     * @return MerchantEntity
     */
    public function setSxySubmerchantId($sxySubmerchantId): MerchantEntity
    {
        $this->sxySubmerchantId = $sxySubmerchantId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBuyTime()
    {
        return $this->buyTime;
    }

    /**
     *@param mixed $buyTime
     * @return MerchantEntity
     */
    public function setBuyTime($buyTime): MerchantEntity
    {
        $this->buyTime = $buyTime;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getTzMoney()
    {
        return $this->tzMoney;
    }

    /**
     *@param mixed $tzMoney
     * @return MerchantEntity
     */
    public function setTzMoney($tzMoney): MerchantEntity
    {
        $this->tzMoney = $tzMoney;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getTzIntegral()
    {
        return $this->tzIntegral;
    }

    /**
     *@param mixed $tzIntegral
     * @return MerchantEntity
     */
    public function setTzIntegral($tzIntegral): MerchantEntity
    {
        $this->tzIntegral = $tzIntegral;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfStatus()
    {
        return $this->hfStatus;
    }

    /**
     *@param mixed $hfStatus
     * @return MerchantEntity
     */
    public function setHfStatus($hfStatus): MerchantEntity
    {
        $this->hfStatus = $hfStatus;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfMemberId()
    {
        return $this->hfMemberId;
    }

    /**
     *@param mixed $hfMemberId
     * @return MerchantEntity
     */
    public function setHfMemberId($hfMemberId): MerchantEntity
    {
        $this->hfMemberId = $hfMemberId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfMemberIdWx()
    {
        return $this->hfMemberIdWx;
    }

    /**
     *@param mixed $hfMemberIdWx
     * @return MerchantEntity
     */
    public function setHfMemberIdWx($hfMemberIdWx): MerchantEntity
    {
        $this->hfMemberIdWx = $hfMemberIdWx;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfMsg()
    {
        return $this->hfMsg;
    }

    /**
     *@param mixed $hfMsg
     * @return MerchantEntity
     */
    public function setHfMsg($hfMsg): MerchantEntity
    {
        $this->hfMsg = $hfMsg;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerchantType()
    {
        return $this->merchantType;
    }

    /**
     *@param mixed $merchantType
     * @return MerchantEntity
     */
    public function setMerchantType($merchantType): MerchantEntity
    {
        $this->merchantType = $merchantType;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfType()
    {
        return $this->hfType;
    }

    /**
     *@param mixed $hfType
     * @return MerchantEntity
     */
    public function setHfType($hfType): MerchantEntity
    {
        $this->hfType = $hfType;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getExpireTime()
    {
        return $this->expireTime;
    }

    /**
     *@param mixed $expireTime
     * @return MerchantEntity
     */
    public function setExpireTime($expireTime): MerchantEntity
    {
        $this->expireTime = $expireTime;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfDimensionIdWx()
    {
        return $this->hfDimensionIdWx;
    }

    /**
     *@param mixed $hfDimensionIdWx
     * @return MerchantEntity
     */
    public function setHfDimensionIdWx($hfDimensionIdWx): MerchantEntity
    {
        $this->hfDimensionIdWx = $hfDimensionIdWx;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfDimensionIdAl()
    {
        return $this->hfDimensionIdAl;
    }

    /**
     *@param mixed $hfDimensionIdAl
     * @return MerchantEntity
     */
    public function setHfDimensionIdAl($hfDimensionIdAl): MerchantEntity
    {
        $this->hfDimensionIdAl = $hfDimensionIdAl;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfPingtaiIdAl()
    {
        return $this->hfPingtaiIdAl;
    }

    /**
     *@param mixed $hfPingtaiIdAl
     * @return MerchantEntity
     */
    public function setHfPingtaiIdAl($hfPingtaiIdAl): MerchantEntity
    {
        $this->hfPingtaiIdAl = $hfPingtaiIdAl;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getHfPingtaiIdWx()
    {
        return $this->hfPingtaiIdWx;
    }

    /**
     *@param mixed $hfPingtaiIdWx
     * @return MerchantEntity
     */
    public function setHfPingtaiIdWx($hfPingtaiIdWx): MerchantEntity
    {
        $this->hfPingtaiIdWx = $hfPingtaiIdWx;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getDcId()
    {
        return $this->dcId;
    }

    /**
     *@param mixed $dcId
     * @return MerchantEntity
     */
    public function setDcId($dcId): MerchantEntity
    {
        $this->dcId = $dcId;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getConsumptionScore()
    {
        return $this->consumptionScore;
    }

    /**
     *@param mixed $consumptionScore
     * @return MerchantEntity
     */
    public function setConsumptionScore($consumptionScore): MerchantEntity
    {
        $this->consumptionScore = $consumptionScore;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBrokeragePrice()
    {
        return $this->brokeragePrice;
    }

    /**
     *@param mixed $brokeragePrice
     * @return MerchantEntity
     */
    public function setBrokeragePrice($brokeragePrice): MerchantEntity
    {
        $this->brokeragePrice = $brokeragePrice;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getScore()
    {
        return $this->score;
    }

    /**
     *@param mixed $score
     * @return MerchantEntity
     */
    public function setScore($score): MerchantEntity
    {
        $this->score = $score;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerchantLevel()
    {
        return $this->merchantLevel;
    }

    /**
     *@param mixed $merchantLevel
     * @return MerchantEntity
     */
    public function setMerchantLevel($merchantLevel): MerchantEntity
    {
        $this->merchantLevel = $merchantLevel;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getIsExperience()
    {
        return $this->isExperience;
    }

    /**
     *@param mixed $isExperience
     * @return MerchantEntity
     */
    public function setIsExperience($isExperience): MerchantEntity
    {
        $this->isExperience = $isExperience;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerType()
    {
        return $this->merType;
    }

    /**
     *@param mixed $merType
     * @return MerchantEntity
     */
    public function setMerType($merType): MerchantEntity
    {
        $this->merType = $merType;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getMerChain()
    {
        return $this->merChain;
    }

    /**
     *@param mixed $merChain
     * @return MerchantEntity
     */
    public function setMerChain($merChain): MerchantEntity
    {
        $this->merChain = $merChain;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getBzj()
    {
        return $this->bzj;
    }

    /**
     *@param mixed $bzj
     * @return MerchantEntity
     */
    public function setBzj($bzj): MerchantEntity
    {
        $this->bzj = $bzj;
        return $this;
    }

    /**
     *@return mixed
     */
    public function getGoldenBeans()
    {
        return $this->goldenBeans;
    }

    /**
     *@param mixed $goldenBeans
     * @return MerchantEntity
     */
    public function setGoldenBeans($goldenBeans): MerchantEntity
    {
        $this->goldenBeans = $goldenBeans;
        return $this;
    }
}
